%%
clear; close all; clc;

%% Load the obtained transfer functions
load('./mat/id_micro_station.mat', 'G_ms');

%% Load Configuration file
load('./mat/config.mat', 'save_fig', 'freqs');

%% Micro-Hexapod
bodeFig({G_ms('Dmx', 'Fmx'), G_ms('Dmy', 'Fmy'), G_ms('Dmz', 'Fmz')}, freqs)
legend({'$F_{hx} \to D_{hx}$', '$F_{hy} \to D_{hy}$', '$F_{hz} \to D_{hz}$'})
legend('location', 'southwest')

if save_fig; exportFig('id_marc_m_m', 'normal-normal', struct('path', 'identification')); end

%% Granite
bodeFig({G_ms('Dgx', 'Fgx'), G_ms('Dgy', 'Fgy'), G_ms('Dgz', 'Fgz')}, freqs)
legend({'$F_{gx} \to D_{gx}$', '$F_{gy} \to D_{gy}$', '$F_{gz} \to D_{gz}$'})
legend('location', 'southwest')

if save_fig; exportFig('id_marc_g_g', 'normal-normal', struct('path', 'identification')); end

%% Micro Hexapod to Granite
bodeFig({G_ms('Dmx', 'Fgx'), G_ms('Dmy', 'Fgy'), G_ms('Dmz', 'Fgz')}, freqs)
legend({'$F_{hx} \to D_{gx}$', '$F_{hy} \to D_{gy}$', '$F_{hz} \to D_{gz}$'})
legend('location', 'southwest')

if save_fig; exportFig('id_marc_m_g', 'normal-normal', struct('path', 'identification')); end
