%%
clear; close all; clc;

%%
K_iff = tf(zeros(6));
save('./mat/K_iff.mat', 'K_iff');

%% Light Sample
initializeSample(struct('mass', 1));

initializeNanoHexapod(struct('actuator', 'lorentz'));
G_light_vc = identifyPlant();

initializeNanoHexapod(struct('actuator', 'piezo'));
G_light_pz = identifyPlant();

%% Heavy Sample
initializeSample(struct('mass', 50));

initializeNanoHexapod(struct('actuator', 'lorentz'));
G_heavy_vc = identifyPlant();

initializeNanoHexapod(struct('actuator', 'piezo'));
G_heavy_pz = identifyPlant();

%% Save the obtained transfer functions
save('./mat/G.mat', 'G_light_vc', 'G_light_pz', 'G_heavy_vc', 'G_heavy_pz');
