function [] = initializeExperiment(exp_name, sys_mass)
    if strcmp(exp_name, 'tomography')
        opts_sim = struct(...
            'Tsim',    5, ...
            'cl_time', 5  ...
        );
        initializeSimConf(opts_sim);

        if strcmp(sys_mass, 'light')
            opts_inputs = struct(...
                'ground_motion', true,  ...
                'rz',            60     ... % rpm
            );
        elseif strcpm(sys_mass, 'heavy')
            opts_inputs = struct(...
                'ground_motion', true,  ...
                'rz',            1     ... % rpm
            );
        else
            error('sys_mass should be light or heavy');
        end

        initializeInputs(opts_inputs);
    elseif
end
