function [ry] = initializeRy()
    %%
    ry = struct();

    ry.m = 200; % [kg]

    ry.k.tilt = 1e4; % Rotation stiffness around y [N*m/deg]

    ry.k.h    = 357e6/4; % Stiffness in the direction of the guidance [N/m]
    ry.k.rad  = 555e6/4; % Stiffness in the top direction [N/m]
    ry.k.rrad = 238e6/4; % Stiffness in the side direction [N/m]

    ry.c.h    = 10*(1/5)*sqrt(ry.k.h/ry.m);
    ry.c.rad  = 10*(1/5)*sqrt(ry.k.rad/ry.m);
    ry.c.rrad = 10*(1/5)*sqrt(ry.k.rrad/ry.m);
    ry.c.tilt = 10*(1/1)*sqrt(ry.k.tilt/ry.m);

    %% Save
    save('./mat/stages.mat', 'ry', '-append');
end
