function [rz] = initializeRz()
    %%
    rz = struct();

    rz.m = 250; % [kg]

    rz.k.ax   = 2e9; % Axial Stiffness [N/m]
    rz.k.rad  = 7e8; % Radial Stiffness [N/m]
    rz.k.rot  = 1e2; % Rotational Stiffness [N*m/deg]
    rz.k.tilt = 1e2; % TODO [N*m/deg]

    rz.c.ax   = 10*(1/5)*sqrt(rz.k.ax/rz.m);
    rz.c.rad  = 10*(1/5)*sqrt(rz.k.rad/rz.m);
    rz.c.tilt = 100*(1/1)*sqrt(rz.k.tilt/rz.m);
    rz.c.rot  = 100*(1/1)*sqrt(rz.k.rot/rz.m);

    %% Save
    save('./mat/stages.mat', 'rz', '-append');
end
