function [solids] = initializeSolids()
    %% Granite
    solids.granite.density = 2800; % [kg/m3]
    solids.granite.color   = [1 1 1];
    solids.granite.STEP    = './STEPS/granite/granite.STEP';

    %% Y-Translation
    % Ty Granite frame
    solids.ty.granite_frame.density = 7800; % [kg/m3]
    solids.ty.granite_frame.color   = [0.753 1 0.753];
    solids.ty.granite_frame.STEP    = './STEPS/Ty/Ty_Granite_Frame.STEP';
    % Guide Translation Ty
    solids.ty.guide.density         = 7800; % [kg/m3]
    solids.ty.guide.color           = [0.792 0.820 0.933];
    solids.ty.guide.STEP            = './STEPS/ty/Ty_Guide.STEP';
    % Ty - Guide_Translation12
    solids.ty.guide12.density       = 7800; % [kg/m3]
    solids.ty.guide12.color         = [0.792 0.820 0.933];
    solids.ty.guide12.STEP          = './STEPS/Ty/Ty_Guide_12.STEP';
    % Ty - Guide_Translation11
    solids.ty.guide11.density       = 7800; % [kg/m3]
    solids.ty.guide11.color         = [0.792 0.820 0.933];
    solids.ty.guide11.STEP          = './STEPS/ty/Ty_Guide_11.STEP';
    % Ty - Guide_Translation22
    solids.ty.guide22.density       = 7800; % [kg/m3]
    solids.ty.guide22.color         = [0.792 0.820 0.933];
    solids.ty.guide22.STEP          = './STEPS/ty/Ty_Guide_22.STEP';
    % Ty - Guide_Translation21
    solids.ty.guide21.density       = 7800; % [kg/m3]
    solids.ty.guide21.color         = [0.792 0.820 0.933];
    solids.ty.guide21.STEP          = './STEPS/Ty/Ty_Guide_21.STEP';
    % Ty - Plateau translation
    solids.ty.frame.density         = 7800; % [kg/m3]
    solids.ty.frame.color           = [0.792 0.820 0.933];
    solids.ty.frame.STEP            = './STEPS/ty/Ty_Stage.STEP';
    % Ty Stator Part
    solids.ty.stator.density        = 5400; % [kg/m3]
    solids.ty.stator.color          = [0.792 0.820 0.933];
    solids.ty.stator.STEP           = './STEPS/ty/Ty_Motor_Stator.STEP';
    % Ty Rotor Part
    solids.ty.rotor.density         = 5400; % [kg/m3]
    solids.ty.rotor.color           = [0.792 0.820 0.933];
    solids.ty.rotor.STEP            = './STEPS/ty/Ty_Motor_Rotor.STEP';

    %% Tilt Stage
    % Ry - Guide for the tilt stage
    solids.ry.guide.density = 7800; % [kg/m3]
    solids.ry.guide.color   = [0.792 0.820 0.933];
    solids.ry.guide.STEP    = './STEPS/ry/Tilt_Guide.STEP';
    % Ry - Rotor of the motor
    solids.ry.rotor.density = 2400; % [kg/m3]
    solids.ry.rotor.color   = [0.792 0.820 0.933];
    solids.ry.rotor.STEP    = './STEPS/ry/Tilt_Motor_Axis.STEP';
    % Ry - Motor
    solids.ry.motor.density = 3200; % [kg/m3]
    solids.ry.motor.color   = [0.792 0.820 0.933];
    solids.ry.motor.STEP    = './STEPS/ry/Tilt_Motor.STEP';
    % Ry - Plateau Tilt
    solids.ry.stage.density = 7800; % [kg/m3]
    solids.ry.stage.color   = [0.792 0.820 0.933];
    solids.ry.stage.STEP    = './STEPS/ry/Tilt_Stage.STEP';

    %% Spindle
    % Spindle - Slip Ring
    solids.rz.slipring.density = 7800; % [kg/m3]
    solids.rz.slipring.color   = [0.792 0.820 0.933];
    solids.rz.slipring.STEP    = './STEPS/rz/Spindle_Slip_Ring.STEP';
    % Spindle - Rotor
    solids.rz.rotor.density    = 7800; % [kg/m3]
    solids.rz.rotor.color      = [0.792 0.820 0.933];
    solids.rz.rotor.STEP       = './STEPS/rz/Spindle_Rotor.STEP';
    % Spindle - Stator
    solids.rz.stator.density   = 7800; % [kg/m3]
    solids.rz.stator.color     = [0.792 0.820 0.933];
    solids.rz.stator.STEP      = './STEPS/rz/Spindle_Stator.STEP';

    %% Axis Compensator
    % Structure
    solids.axisc.structure.density = 3400; % [kg/m3]
    solids.axisc.structure.color   = [0.792 0.820 0.933];
    solids.axisc.structure.STEP    = './STEPS/axisc/axisc_structure.STEP';
    % Wheel
    solids.axisc.wheel.density     = 2700; % [kg/m3]
    solids.axisc.wheel.color       = [0.753 0.753 0.753];
    solids.axisc.wheel.STEP        = './STEPS/axisc/axisc_wheel.STEP';
    % Mass
    solids.axisc.mass.density      = 7800; % [kg/m3]
    solids.axisc.mass.color        = [0.792 0.820 0.933];
    solids.axisc.mass.STEP         = './STEPS/axisc/axisc_mass.STEP';
    % Gear
    solids.axisc.gear.density      = 7800; % [kg/m3]
    solids.axisc.gear.color        = [0.792 0.820 0.933];
    solids.axisc.gear.STEP         = './STEPS/axisc/axisc_gear.STEP';

    %% Save
    save('./mat/solids.mat', 'solids')
end
